FilesApi
All URIs are relative to http://admin.alertsense.com/api
| Method | HTTP request | Description |
|---|---|---|
| deleteFileV4 | DELETE /v4/{tenantId}/files/{FileName} | |
| getAllFilesV4 | GET /v4/{tenantId}/files | |
| getFileV4 | GET /v4/{tenantId}/files/{FileName} | |
| updateFileDescriptionV4 | PUT /v4/{tenantId}/files/{FileName} | |
| uploadFileV4 | POST /v4/{tenantId}/files |
deleteFileV4
deleteFileV4(tenantId, FileName)
Deletes the requested file (tenant based)
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| tenantId | Integer | The tenantId to use for the request | [default to null] |
| FileName | String | the path of the file to delete | [default to null] |
Return type
null (empty response body)
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: Not defined
getAllFilesV4
List getAllFilesV4(tenantId, IncludeAudioUrls, Filter, SearchTerm)
Gets a list of files in blob store for this tenant. (tenant based)
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| tenantId | Integer | The tenantId to use for the request | [default to null] |
| IncludeAudioUrls | Boolean | whether or not to include audio urls in the returned listing | [default to null] |
| Filter | String | Used to indicate which file type to include in the returned results | [optional] [default to null] [enum: image, audio] |
| SearchTerm | String | Used to filter file results by file name. Filters results to where the full file name contains the search term | [optional] [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
getFileV4
FileModel getFileV4(tenantId, FileName)
Gets the file info for the requested file (tenant based)
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| tenantId | Integer | The tenantId to use for the request | [default to null] |
| FileName | String | the path of the file to update | [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
updateFileDescriptionV4
FileModelResponse updateFileDescriptionV4(tenantId, FileName, Description)
Updates the description of the file (tenant based)
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| tenantId | Integer | The tenantId to use for the request | [default to null] |
| FileName | String | the path of the file to update | [default to null] |
| Description | String | the new description for the file | [optional] [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
uploadFileV4
FileModel uploadFileV4(tenantId, FileName, ContentType, ContentLength, HttpFile, FolderName, EncodeForEasAudio, EncodeForVoiceAudio, ResizeImage, MaxWidth, Description)
Upload new file (tenant based)
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| tenantId | Integer | The tenantId to use for the request | [default to null] |
| FileName | String | name of the file | [default to null] |
| ContentType | String | type of the file | [default to null] |
| ContentLength | Long | size of the file | [default to null] |
| HttpFile | File | the file to upload | [default to null] |
| FolderName | String | name of the folder | [optional] [default to null] |
| EncodeForEasAudio | Boolean | [optional] [default to null] | |
| EncodeForVoiceAudio | Boolean | [optional] [default to null] | |
| ResizeImage | Boolean | whether or not to resize the image | [optional] [default to null] |
| MaxWidth | Integer | the max width of the resized image | [optional] [default to null] |
| Description | String | the description for the file | [optional] [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: multipart/form-data
- Accept: application/json